Kerbal Space Program - Bug #504

Can’t connect any parts
03/27/2013 04:00 PM - r2p2

Status: Closed Start date: 03/27/2013
Severity: Unworthy % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 0.191 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Not sure why | can't find similar bug reports. Don't know why this is not working just for me.

| can't build any rockets because | can't connect parts together. The windows does not have such effects.
If I move (for example) a separator under the command part it won't snap together.

| am using the Steam version under Ubuntu 12.10 (64 Bit).

Related issues:
Is duplicate of Kerbal Space Program - Bug #427: Linux: Parsing of float valu... Closed 03/17/2013

History

#1 - 03/28/2013 08:16 AM - broco2002
- Status changed from New to Confirmed
- Target version set to 0.19.1

- % Done changed from 0 to 10

Hello, | can confirm this.

After | saw the Linux version coming out | decided to instantly buy the game after | tried the Demo on Steam and got the same problem.

The green balls indication where to connect parts are not on the parts, they are like 5x the parts size away from it, making it impossible to connect any
parts.

The game is unplayable this way, can't produce an aircraft.

Loading pre-saved aircraft won't work, too (e. g. "Kerbal X"). They don't show up. When you go to the Launch after selecting one of these ships you
end up in space (you should be at the ramp though) not able to fire any stages and not seeing your ship.

System: Ubuntu 12.04 (64 Bit)

Graphics: ATI HD5570 (drivers working fine)
RAM: 8GB DDR3

Processor: Intel I3

#2 - 03/28/2013 08:25 AM - broco2002
- File 2013-03-28_00001.jpg added
- File 2013-03-28_00002.jpg added
- File 2013-03-28_00003.jpg added

Added some screenshots

#3 - 03/28/2013 11:10 AM - Anonymous

Can you guys both make sure you're using the correct Locale settings? Bug #427 seems to describe the issue you're having.
#4 - 03/28/2013 04:23 PM - r2p2

You are right. After starting steam with LANG=C steam | am able to load predefined crafts and create my own ones. It seams that it is a not so
obvious duplicate.

03/20/2024 1/3



http://bugs.kerbalspaceprogram.com/issues/427

Hi,

I'm french an | have the exact same issue (Steam, Ubuntu 12.10 64bits, belgian-french locale).
Changing the launch command of steam by "LANG=C optirun command" worked for me (optirun is there because | have Nvidia Optimus technology).

Thank you for sorting it out !

#6 - 04/05/2013 05:45 AM - Ted
- Target version deleted (0.19.1)

#7 - 04/18/2013 08:04 AM - Vondor
Got the same Bug... It was with the Ubuntu Versions 12.10 and 13.04, 64Bit
But LANG=C didn't helped...

#8 - 06/15/2013 11:29 AM - Stechi

Also the same bug with Ubunt 12.10 x64,
LANG=C didn't fix the bug,

also | played default with english localization,
so the error shouldn't occur in the first place.
Kerbal v0.20.2.0 on Steam

Greetings
Stechi

#9 - 06/19/2013 01:21 PM - miceliux

The same here in Fedora 18 x86_64, | can't connect any parts and | don't even see the green dots for doing it.

#10 - 07/14/2013 03:10 PM - LamerTex

- File KspAudio.png added

Here the same problem in Ubuntu 13.04 x64 with nvidia 670 and Intel i5.

The only way to play the game is to launch it from the directory with "LC_ALL=C ./KSP.x86_64" command.
With this it's working fine, only the audio is completly wrong (see the image below).

Why after 4 months this bug is always here?

How can | start the game from steam without every time have to start it from the terminal?

#11 - 10/29/2013 03:45 PM - KingCrunch
Still exists. LC_ALL=C works for now

#12 - 08/15/2014 08:33 AM - jw

Still experiencing this issue on Ubuntu 14.04, locale nl-be (Dutch, Belgium), with the latest version of the demo on Steam.
Also, this thing is really un-Googleable.

@LamerTex, to start from Steam, change the "Launch options" in Steam to:

LC_ALL=C %command$

or, for the 64-bit version:

LC_ALL=C %command%_64

(Source: http://steamcommunity.com/app/220200/discussions/0/666826250884929206/)

#13 - 08/15/2014 02:37 PM - TruePikachu

The demo is an older version of the game (0.18.3) then what the issue refers to (0.19.1).

#14 - 11/20/2015 01:00 PM - sal_vager

- Status changed from Confirmed to Resolved
http://steamcommunity.com/app/220200/discussions/0/666826250884929206/

- % Done changed from 10 to 100

This was caused by KSP using the systems locale to set the float delimiter, this is no longer the case in the current version (1.0.5)

#15 - 07/17/2016 09:17 AM - TriggerAu

- Status changed from Resolved to Closed
